Subject: Re: transmit lockup using smsc95xx ethernet on usb3

From: Greg KH <[email-masked]>
Date: Fri, 18 Oct 2013 08:50:40 -0700

On Fri, Oct 18, 2013 at 04:22:02PM +0100, David Laight wrote:
> > It's not too hard.  Here's some directions:
> > http://kernelnewbies.org/KernelBuild
> 
> I can build it easily enough but ...
> 
> Is there a .config file with a sane list of modules anywhere?
> (and builtin drivers for disk boot)
> 
> The defconfig one doesn't seem to contain enough to be useful,
> and the allmodconfig gives me 800MB+ to copy from the build
> system to the test one (I can't seem to see an obvious way of
> doing this either - apart from installing them to the 'wrong'
> place on the build system and then copying everything over).

The easiest thing to do is take a working .config file (like created by
your distro, for the kernel it is booting), and creating a smaller
config for just the hardware plugged into the machine at that moment in
time.

You usually do this automatically by running:
	make localmodconfig
which knows how to root around in /proc/config.gz or /boot/ to try to
find the current config file and go from there.

But remember to go back and enable anything specific for any devices you
don't have plugged in at the moment.

Hope this helps,

greg k-h